
package net.mcreator.hahaaxolotl.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.food.FoodProperties;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.hahaaxolotl.procedures.BurntAxolotlFoodEatenProcedure;

import java.util.List;

public class BurntAxolotlItem extends Item {
	public BurntAxolotlItem() {
		super(new Item.Properties().tab(CreativeModeTab.TAB_FOOD).stacksTo(64).rarity(Rarity.COMMON)
				.food((new FoodProperties.Builder()).nutrition(2).saturationMod(0f)

						.meat().build()));
		setRegistryName("burnt_axolotl");
	}

	@Override
	public int getUseDuration(ItemStack stack) {
		return 48;
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("Next time"));
		list.add(new TextComponent("DONT PUT YOUR AXOLOTL IN A BLAST FURNACE!!!"));
	}

	@Override
	public ItemStack finishUsingItem(ItemStack itemstack, Level world, LivingEntity entity) {
		ItemStack retval = super.finishUsingItem(itemstack, world, entity);
		double x = entity.getX();
		double y = entity.getY();
		double z = entity.getZ();

		BurntAxolotlFoodEatenProcedure.execute(entity);
		return retval;
	}
}
